package com.tidecloud.dataacceptance.common;

import java.util.Date;
import java.util.GregorianCalendar;

/**   
 * @author: chudk 
 * @date:   2017年9月21日 上午10:09:31   
 */
public class DateUtil {
    
    public static Date calculateByDate(Date d, int amount) {   
        return calculate(d, GregorianCalendar.DATE, amount);   
    }  
    
    public static Date calculateByHour(Date d, int amount){
        return calculate(d, GregorianCalendar.HOUR, amount);
    }
    
    private static Date calculate(Date d, int field, int amount) {   
        if (d == null)   
            return null;   
        GregorianCalendar g = new GregorianCalendar();   
        g.setTime(d);
        g.add(field, amount);   
        return g.getTime();   
    }  
}
